Bug 845118 - JMX plugin has moved some classes, other plugins may rely on
JMX plugin has moved some classes, other plugins may rely on
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.4
Unspecified Unspecified
unspecified Severity urgent (vote)
: ---
: RHQ 4.5.0
Assigned To: Heiko W. Rupp
Mike Foley
:
Depends On:
Blocks: 845120
  Show dependency treegraph
 
Reported: 2012-08-01 16:21 EDT by Heiko W. Rupp
Modified: 2013-09-01 06:17 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 845120 (view as bug list)
Environment:
Last Closed: 2013-09-01 06:17:15 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Heiko W. Rupp 2012-08-01 16:21:58 EDT
Description of problem:

Plugins like Infinispan plugin may fail with 

java.lang.Exception: Discovery component invocation failed.
        at org.rhq.core.pc.util.DiscoveryComponentProxyFactory$ComponentInvocationThread.call(DiscoveryComponentProxyFactory.java:297)
  [...]
Caused by: java.lang.NoClassDefFoundError: org/rhq/plugins/jmx/ObjectNameQueryUtility
        at org.infinispan.rhq.CacheManagerDiscovery.createDiscoveredResource(CacheManagerDiscovery.java:76)
        at org.infinispan.rhq.CacheManagerDiscovery.discoverResources(CacheManagerDiscovery.java:62)


Turns out we moved the ObjectNameQueryUtility to the util sub-package in commit
d06bde3ab789c06f603836525d7281e7a96bad85 on 2012-01-20
Comment 1 Heiko W. Rupp 2012-08-01 16:35:17 EDT
master 4f60260d2afe0
Comment 2 Heiko W. Rupp 2013-09-01 06:17:15 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.

Note You need to log in before you can comment on or make changes to this bug.